Skip to content

Change the name, summary or cover of a course

PATCH
/apps/{appId}/courses/{courseId}
curl --request PATCH \
--url https://api.passion.io/v1/apps/example/courses/example \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "summary": "example", "coverFileId": "example" }'
appId
required

The id of the App, as Studio shows it.

string
/^[1-9][0-9]*$/
courseId
required

The id of a course, as list_courses lists it.

string
/^[1-9][0-9]*$/
Media typeapplication/json
object
name

The new name of the course.

string
>= 1 characters
summary

The new summary of the course.

string
>= 1 characters
coverFileId

An uploaded image that becomes the cover of the course.

string
/^[1-9][0-9]*$/
Examplegenerated
{
"name": "example",
"summary": "example",
"coverFileId": "example"
}

OK

Media typeapplication/json
object
courseId
required
string
name
required
string
summary
required
Any of:
string
Examplegenerated
{
"courseId": "example",
"name": "example",
"summary": "example"
}